<bugID>1398126<Summary>If more than 12 Top Sites are pinned (Pin + Add), dismissing one does not bring back a previously pinned website</Summary><Description>Created attachment 8905908
top sites.gif

[Affected versions]:
- Nightly 57.0a1

[Affected Platforms]:
- All Windows
- All Mac
- All Linux

[Prerequisites]:
- Have a Nightly profile with enough history so more than 12 Top Sites can be displayed.
- All Top Sites are pinned.
- Top Sites are displayed on two rows.

[Steps to reproduce]:
1. Open the browser with the profile from prerequisites and open a new tab.
2. Click "edit" button from the Top Sites area.
3. Observe the last Top Site and add a new one.
4. Dismiss any Top Site.
5. Observe the Top Sites area.

[Expected result]:
- All Top Sites are moved 1 position to the left and the previous pinned Top Site is brought back.

[Actual result]:
- All pinned Top Sites remain in their place and a different Top Site is brought back from history.

[Notes]:
- Attached a screen recording of the issue.</Description></bugID>